Skip to main content
GET
/
payments
/
orders
List Orders
curl --request GET \
  --url https://services.leadconnectorhq.com/payments/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    {
      "_id": "653f5e0cde5a1314e62a837c",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "location",
      "status": "completed",
      "sourceType": "funnel",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2024-01-23T09:57:04.846Z",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@gohighlevel.com",
      "currency": "USD",
      "amount": "100",
      "subtotal": "100",
      "discount": "10",
      "liveMode": "false",
      "totalProducts": "5",
      "sourceName": "onestep",
      "sourceId": "kDj7BHej9Zyyq3QakJmz",
      "sourceMeta": "{ domain: \"app.gohighlevel.com\", pageId:  \"rBVhyYhMsbxbO8ZqOcei\", pageUrl:  \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId:   \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
      "couponCode": "100PER",
      "sourceSubType": "one_step_order_form",
      "fulfillmentStatus": "unfulfilled",
      "onetimeProducts": "1",
      "recurringProducts": "1",
      "createdBy": "user123"
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

locationId
string

LocationId is the id of the sub-account.

Example:

"3SwdhCu3svxI8AKsPJt6"

altId
string
required

AltId is the unique identifier e.g: location id.

Example:

"3SwdhCu3svxI8AKsPJt6"

status
string

Order status.

Example:

"completed"

paymentStatus
enum<string>

Payment Status of the Order

Available options:
paid,
unpaid,
refunded,
partially_paid
Example:

"unpaid"

paymentMode
string

Mode of payment.

Example:

"live"

startAt
string

Starting interval of orders.

Example:

"2024-02-01"

endAt
string

Closing interval of orders.

Example:

"2024-02-13"

The name of the order for searching.

Example:

"Awesome order"

contactId
string

Contact id for filtering of orders.

Example:

"XPLSw2SVagl12LMDeTmQ"

funnelProductIds
string

Funnel product ids separated by comma.

Example:

"61dd0c7dc077f712a5f787ff,61d6afc9d39ac5e35965c017"

sourceId
string

Source id

Example:

"61dd0c7dc077f712a5f787ff"

limit
number
default:10

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

Response

Successful response

data
object[]
required

An array of orders

totalCount
number
required

total orders count

Last modified on March 4, 2026